.modal {
    width: 100%;
    max-width: rem(400);
    background: $white;
    border-radius: 20px;
    padding: rem(36) rem(15);
    box-shadow: 0px 8px 12px rgba(0, 0, 0, 0.2);

    .carousel__button.is-close {
        outline: none !important;
        top: rem(4) !important;
        right: rem(4) !important;

        svg {
            stroke-width: 4px !important;
            stroke: $gray-light !important;
            filter: none !important;
        }

        &:hover {

            svg {
                stroke: $dark !important;
            }
        }
    }

    &__scroll {
        max-height: 100%;
    }

    &-content {
        padding-right: rem(20);
    }

    &--scroll {
        height: 90%;
        overflow: hidden;
        padding: rem(36) rem(6);
    }

    &--city {
    }

    &--success {
        text-align: center;
        border: 1px solid #94959A;
        box-shadow: 0px 8px 12px rgba(218, 218, 219, 0.2);
    }

    @include media-breakpoint-up(md) {
        max-width: rem(604);
        max-height: rem(704);
        padding: rem(56) rem(74);

        &--scroll {
            padding: rem(50) rem(24);
        }

        &--success {
            max-width: rem(522);
            padding: rem(67) rem(40);
        }

        .carousel__button.is-close {
            top: rem(10) !important;
            right: rem(10) !important;
        }
    }

    @include media-breakpoint-up(lg) {

        &--city {
            max-width: rem(894);
        }

        &-content {
            padding-left: rem(24);
            padding-right: rem(24);
        }
    }
}

.fancybox__slide {
    padding-top: 8px;
}

.modal-form {

    &__header {
        font-weight: 700;
        font-size: rem(31);
        line-height: rem(47);
        margin-bottom: rem(8);
        text-align: center;
    }

    &__subtitle {
        font-weight: 300;
        font-size: rem(22);
        line-height: rem(33);
        text-align: center;
        margin-bottom: rem(15);
    }

    &__button {
        padding-top: rem(5);
        margin-bottom: rem(15);

        .btn {
            width: 100%;
        }
    }

    &__text {
        font-size: rem(16);
        line-height: rem(24);
        text-align: center;
    }
}

.city-switcher {
    padding-left: rem(9);
    padding-right: rem(9);

    &__header {
        padding-right: rem(8);
        margin-bottom: rem(20);
    }

    &__primary {
        margin-bottom: rem(15);
    }

    &__title {
        font-weight: 700;
        font-size: rem(22);
        line-height: rem(33);
    }

    &__fast {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        align-items: center;

        li {

            &:not(:last-child) {
                margin-right: rem(14);
            }
        }
    }

    &__content {
        padding-left: rem(66);
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;
        display: grid;
        grid-row-gap: rem(10);
        grid-template-columns: 1fr;
    }

    &__item {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        color: $dark;
        cursor: pointer;
        font-size: rem(16);
        line-height: rem(24);
        white-space: nowrap;
        display: inline-block;
        text-decoration: none;
        background: transparent;
        transition: .3s;

        &:hover {
            color: $dark;
            text-decoration: underline;
        }

        &:active,
        &:focus {
            border: none !important;
            outline: none !important;
            outline-offset: 0;
        }

        &--red {
            color: $red;
            border-bottom: 1px dotted $red;

            &:hover {
                color: $red;
                text-decoration: none;
                border-bottom-color: transparent;
            }
        }
    }

    @include media-breakpoint-up(md) {
        padding-left: rem(24);
        padding-right: rem(24);

        &__content {
            padding-left: 0;
        }

        &__list {
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(lg) {
        padding-left: rem(56);
        padding-right: rem(46);

        &__header {
            padding-right: 0;
            margin-bottom: rem(40);
            display: flex;
            align-items: flex-start;
            justify-content: space-between;
        }

        &__title {
            font-size: rem(31);
            line-height: rem(42);
        }

        &__search {
            width: rem(332);
            flex-shrink: 0;
        }

        &__primary {
            margin-bottom: 0;
        }

        &__list {
            grid-column-gap: rem(30);
            grid-template-columns: 1fr 1fr 1fr;
        }
    }
}

.modal-success {
    text-align: center;
    font-family: $font-family-primary;

    &__title {
        color: $red;
        font-weight: 500;
        font-size: rem(21);
        line-height: rem(32);
        margin-bottom: rem(25);
    }

    &__lead {
        font-weight: 500;
        font-size: rem(21);
        line-height: rem(32);
        margin-bottom: rem(40);
    }

    &__text {
        margin: 0 auto;
        max-width: rem(310);
        font-size: rem(16);
        line-height: rem(25);
    }
}
